import { EventHook } from '@vueuse/core';
import * as Vue from 'vue';
import { type Plugin } from 'vue';
import * as VueRouter from 'vue-router';
export declare const router: VueRouter.Router;
export declare const pinia: import("pinia").Pinia;
/***************************************
 *
 *  WEB COMPONENT: each pplugin defined above have to be defined in app.ce.vue
 *
 ***************************************/
interface VueCustomElement {
    version: string;
    readonly config: Vue.AppConfig;
    provide(clientKey: string | symbol, value: unknown): VueCustomElement;
    onUnmount(fn: EventHook['on']): void;
    use(plugin: Plugin, ...options: unknown[]): VueCustomElement;
}
export declare const registerPluginsForCustomElement: (configFn: (app: VueCustomElement) => void) => void;
export {};
